body {
    margin: 0;
    min-height: 100vh;
    background: #000;
    display: grid;
    place-items: center;
    perspective: 50em;
    perspective-origin: 50% calc(50% - 2em);
}

.sphere {
    width: 10em;
    aspect-ratio: 1/1;
    position: relative;
    transform-style: preserve-3d;
    animation: rotate 20s infinite linear;
    transform: rotateX(-30deg) rotateY(0deg);
}

.circle {
    position: absolute;
    width: 100%;
    height: 100%;
    border-radius: 50%;
    overflow: hidden;
    border: .05em solid #ff9d00;
    border-radius: 50%;
    transform: rotateY(calc(var(--i) * 30deg));
    -webkit-box-reflect: below 2em linear-gradient(to bottom,
            rgba(0, 0, 0, 0), rgba(0, 0, 0, 0.3));
}

@keyframes rotate {
    to {
        transform: rotateX(-30deg) rotateY(360deg);
    }
}